NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Preferences.PartModeling Class Reference

Represents the set of Modeling preferences applicable to part More...

Inheritance diagram for NXOpen.Preferences.PartModeling:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveCurvatureDisplayType { Comb, RadiusOfComb }
 Describes whether the curve curvature display is Curvature Comb or radius of Curvature Comb More...
 
enum  DensityUnitType { LbPerCuInch, LbPerCuFeet, GmPerCuCm, KgPerCuMeter }
 Describes the units available for representing density More...
 
enum  GridKnotLineFontType {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, LongDashed, DottedDashed, Eight = 11,
  Nine, Ten, Eleven
}
 the available font for grid/knot line More...
 
enum  GridResolutionType {
  None, Coarse, Standard, Fine,
  ExtraFine, UltraFine
}
 Describes all available grid resolutions for selection More...
 

Public Member Functions

unsafe bool GetHistoryMode ()
 Returns whether the part is in History or History-Free mode. More...
 
unsafe bool GetIsSavedByWebApp ()
 Get the flag to indicate if it is saved by web application More...
 
unsafe bool GetKeepLocalFeatures ()
 Returns whether keep NX6-era local feature in the part More...
 
unsafe void SetHistoryFreeMode ()
 Changes the modeling mode to History-Free Modeling. More...
 
unsafe void SetHistoryMode ()
 Changes the modeling mode to History Modeling. More...
 
unsafe void SetIsSavedByWebApp (bool isSavedByWebApp)
 Set the flag to indicate if it is saved by web application More...
 
unsafe void SetKeepLocalFeatures (bool keepLocalFeatures)
 This will keep NX6-era Local feature when changing to History-free mode. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleToleranceData [get, set]
 Returns or sets the angle tolerance data. More...
 
unsafe int C0KnotLineColor [get, set]
 Returns or sets the C0 knot line color More...
 
unsafe
NXOpen.Preferences.PartModeling.GridKnotLineFontType 
C0KnotLineFont [get, set]
 Returns or sets the C0 knot line font More...
 
unsafe bool C0KnotUseBodyColor [get, set]
 Returns or sets whether c0 knot line use body color More...
 
unsafe bool C0KnotUseBodyFont [get, set]
 Returns or sets whether C0_knot use body font More...
 
unsafe int C1KnotLineColor [get, set]
 Returns or sets the C1 knot line color More...
 
unsafe
NXOpen.Preferences.PartModeling.GridKnotLineFontType 
C1KnotLineFont [get, set]
 Returns or sets the C1 knot line font More...
 
unsafe bool C1KnotUseBodyColor [get, set]
 Returns or sets whether c1 knot line use body color More...
 
unsafe bool C1KnotUseBodyFont [get, set]
 Returns or sets whether C1_knot use body font More...
 
unsafe int C2KnotLineColor [get, set]
 Returns or sets the C2 knot line color More...
 
unsafe
NXOpen.Preferences.PartModeling.GridKnotLineFontType 
C2KnotLineFont [get, set]
 Returns or sets the C2 knot line font More...
 
unsafe bool C2KnotUseBodyColor [get, set]
 Returns or sets whether c2 knot line use body color More...
 
unsafe bool C2KnotUseBodyFont [get, set]
 Returns or sets whether C2_knot use body font More...
 
unsafe double ConvertAnalyticToConvergentAngularTolerance [get, set]
 Returns or sets the angular tolerance for converting analytic body to Convergent body More...
 
unsafe double ConvertAnalyticToConvergentDistanceTolerance [get, set]
 Returns or sets the distance tolerance for converting analytic body to Convergent body More...
 
unsafe double ConvertAnalyticToConvergentMaximumChordLength [get, set]
 Returns or sets the maximum chord length for converting analytic body to convergent body More...
 
unsafe double ConvertAnalyticToConvergentMaximumFacetWidth [get, set]
 Returns or sets the maximum facet width for converting analytic body to convergent body More...
 
unsafe
NXOpen.Preferences.PartModeling.CurveCurvatureDisplayType 
CurveCurvatureDisplay [get, set]
 Returns or sets the curve curvature display. More...
 
unsafe bool CurveCurvatureShowCap [get, set]
 Returns or sets the curve curvature display show cap line More...
 
unsafe int CurveCurvatureStyle [get, set]
 Returns or sets the curve curvature display style More...
 
unsafe bool CutViewUpdateDelayed [get, set]
 Returns or sets the state of the cut view delay update flag. More...
 
unsafe double Density [get, set]
 Returns or sets the density. More...
 
unsafe
NXOpen.Preferences.PartModeling.DensityUnitType 
DensityUnit [get, set]
 Returns or sets the density unit More...
 
unsafe bool DisplayCurveCurvatureOutside [get, set]
 Returns or sets the curve curvature display style to show it on the inside/outside of the curve More...
 
unsafe double DistanceToleranceData [get, set]
 Returns or sets the modeling distance tolerance data. More...
 
unsafe int GridLineColor [get, set]
 Returns or sets the grid line color More...
 
unsafe
NXOpen.Preferences.PartModeling.GridKnotLineFontType 
GridLineFont [get, set]
 Returns or sets the grid line font More...
 
unsafe int GridLinesUCount [get, set]
 Returns or sets the U count for grid lines. More...
 
unsafe int GridLinesVCount [get, set]
 Returns or sets the V count for grid lines. More...
 
unsafe
NXOpen.Preferences.PartModeling.GridResolutionType 
GridResolution [get, set]
 Returns or sets the grid resolution. More...
 
unsafe bool GridUseBodyColor [get, set]
 Returns or sets whether grid line use body color More...
 
unsafe bool GridUseBodyFont [get, set]
 Returns or sets whether grid use body font More...
 
unsafe bool MaxChordLengthOption [get, set]
 Returns or sets the maximum chord length option for converting analytic body to convergent body More...
 
unsafe bool MaxFacetWidthOption [get, set]
 Returns or sets the maximum facet width option for converting analytic body to convergent body More...
 
unsafe bool OptimizeCurve [get, set]
 Returns or sets the optimize curve flag More...
 
unsafe double OptimizeCurveAngleToleranceFactor [get, set]
 Returns or sets the optimize curve angle tolerance factor More...
 
unsafe double OptimizeCurveDistanceToleranceFactor [get, set]
 Returns or sets the optimize curve distance tolerance factor More...
 
unsafe double OptimizeCurveToleranceFactor [get, set]
 Returns or sets the optimize curve tolerance factor More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe bool TreatOneDegreeBsplineAsPolyline [get, set]
 Returns or sets the option to treat degree one bspline as polyline More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the set of Modeling preferences applicable to part

To obtain an instance of this class, refer to NXOpen.Preferences.PartPreferences

Created in NX3.0.0

Member Enumeration Documentation

Describes whether the curve curvature display is Curvature Comb or radius of Curvature Comb

Enumerator
Comb 

Curve curvature display is Curvature Comb

RadiusOfComb 

Curve curvature display is radius of Curvature Comb

Describes the units available for representing density

Enumerator
LbPerCuInch 

Unit is pound per cubic inch

LbPerCuFeet 

Unit is pound per cubic feet

GmPerCuCm 

Unit is gram per cubic centimeter

KgPerCuMeter 

Unit is kg per cubic meter

the available font for grid/knot line

Enumerator
Solid 
Dashed 
Phantom 
Centerline 
Dotted 
LongDashed 
DottedDashed 
Eight 

Long Dashed Double Dotted

Nine 

Long Dashed Dotted for OOTB fonts and Undulating for shipbuilding fonts

Ten 

Long Dashed Triplicate Dotted for OOTB fonts and Zigzag for shipbuilding fonts

Eleven 

Long Dashed Double Short Dashed for OOTB fonts and Railway for shipbuilding fonts

Describes all available grid resolutions for selection

Enumerator
None 

No specific selection for grid resolution

Coarse 

Coarse grid resolution

Standard 

Standard grid resolution

Fine 

Fine grid resolution

ExtraFine 

Extra Fine grid resolution

UltraFine 

Ultra Fine grid resolution

Member Function Documentation

unsafe bool NXOpen.Preferences.PartModeling.GetHistoryMode ( )
inline

Returns whether the part is in History or History-Free mode.

Return true for History mode or false for History-Free mode.

Created in NX6.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Preferences.PartModeling.GetIsSavedByWebApp ( )
inline

Get the flag to indicate if it is saved by web application

Created in NX1899.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Preferences.PartModeling.GetKeepLocalFeatures ( )
inline

Returns whether keep NX6-era local feature in the part

Created in NX1872.0.0

License requirements: None.

Returns
unsafe void NXOpen.Preferences.PartModeling.SetHistoryFreeMode ( )
inline

Changes the modeling mode to History-Free Modeling.

This will remove parameters from features in the model. Feature edit will not be available and the model will not update.

Created in NX6.0.0

License requirements: None.

unsafe void NXOpen.Preferences.PartModeling.SetHistoryMode ( )
inline

Changes the modeling mode to History Modeling.

This will remove Local feature from the model.

Created in NX6.0.0

License requirements: None.

unsafe void NXOpen.Preferences.PartModeling.SetIsSavedByWebApp ( bool  isSavedByWebApp)
inline

Set the flag to indicate if it is saved by web application

Created in NX1899.0.0

License requirements: None.

Parameters
isSavedByWebApp
unsafe void NXOpen.Preferences.PartModeling.SetKeepLocalFeatures ( bool  keepLocalFeatures)
inline

This will keep NX6-era Local feature when changing to History-free mode.

Created in NX1872.0.0

License requirements: None.

Parameters
keepLocalFeatures

Property Documentation

unsafe double NXOpen.Preferences.PartModeling.AngleToleranceData
getset

Returns or sets the angle tolerance data.

Angle tolerance is the maximum allowable angle between the surface normals at corresponding points, or the maximum allowable angle between curve tangent vectors at corresponding points. This value can be read from any part but can only be set when the part owning these preferences is the work part.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.C0KnotLineColor
getset

Returns or sets the C0 knot line color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.GridKnotLineFontType NXOpen.Preferences.PartModeling.C0KnotLineFont
getset

Returns or sets the C0 knot line font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.C0KnotUseBodyColor
getset

Returns or sets whether c0 knot line use body color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.C0KnotUseBodyFont
getset

Returns or sets whether C0_knot use body font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.C1KnotLineColor
getset

Returns or sets the C1 knot line color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.GridKnotLineFontType NXOpen.Preferences.PartModeling.C1KnotLineFont
getset

Returns or sets the C1 knot line font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.C1KnotUseBodyColor
getset

Returns or sets whether c1 knot line use body color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.C1KnotUseBodyFont
getset

Returns or sets whether C1_knot use body font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.C2KnotLineColor
getset

Returns or sets the C2 knot line color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.GridKnotLineFontType NXOpen.Preferences.PartModeling.C2KnotLineFont
getset

Returns or sets the C2 knot line font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.C2KnotUseBodyColor
getset

Returns or sets whether c2 knot line use body color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.C2KnotUseBodyFont
getset

Returns or sets whether C2_knot use body font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.ConvertAnalyticToConvergentAngularTolerance
getset

Returns or sets the angular tolerance for converting analytic body to Convergent body

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.ConvertAnalyticToConvergentDistanceTolerance
getset

Returns or sets the distance tolerance for converting analytic body to Convergent body

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.ConvertAnalyticToConvergentMaximumChordLength
getset

Returns or sets the maximum chord length for converting analytic body to convergent body

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.ConvertAnalyticToConvergentMaximumFacetWidth
getset

Returns or sets the maximum facet width for converting analytic body to convergent body

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.CurveCurvatureDisplayType NXOpen.Preferences.PartModeling.CurveCurvatureDisplay
getset

Returns or sets the curve curvature display.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.CurveCurvatureShowCap
getset

Returns or sets the curve curvature display show cap line

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.CurveCurvatureStyle
getset

Returns or sets the curve curvature display style

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.CutViewUpdateDelayed
getset

Returns or sets the state of the cut view delay update flag.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.Density
getset

Returns or sets the density.

The value used to set this property must be in the units of the density units preference (that is, the value of NXOpen.Preferences.PartModeling.DensityUnit ). Likewise, the density returned by this property is in the units of the density units preference.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.DensityUnitType NXOpen.Preferences.PartModeling.DensityUnit
getset

Returns or sets the density unit

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.DisplayCurveCurvatureOutside
getset

Returns or sets the curve curvature display style to show it on the inside/outside of the curve

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.DistanceToleranceData
getset

Returns or sets the modeling distance tolerance data.

This tolerance value is used throughout the Modeling application, such as for creating swept and revolved solid bodies and sectioning solid bodies. For example, when creating sheet bodies, the distance tolerance specifies the maximum allowable distance between corresponding points on the original surface and the resulting B-surface. This value can be read from any part but can only be set when the part owning these preferences is the work part.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.GridLineColor
getset

Returns or sets the grid line color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.GridKnotLineFontType NXOpen.Preferences.PartModeling.GridLineFont
getset

Returns or sets the grid line font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.GridLinesUCount
getset

Returns or sets the U count for grid lines.

It is the number of grid curves in the U direction of the faces of the body

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartModeling.GridLinesVCount
getset

Returns or sets the V count for grid lines.

It is the number of grid curves in the V direction of the faces of the body

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartModeling.GridResolutionType NXOpen.Preferences.PartModeling.GridResolution
getset

Returns or sets the grid resolution.

The six options, None, Coarse, Standard, Fine, Extra Fine and Ultra Fine, produce a grid that is respectively more detailed. The None option shows no grid at all in wireframe mode.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.GridUseBodyColor
getset

Returns or sets whether grid line use body color

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.GridUseBodyFont
getset

Returns or sets whether grid use body font

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.MaxChordLengthOption
getset

Returns or sets the maximum chord length option for converting analytic body to convergent body

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.MaxFacetWidthOption
getset

Returns or sets the maximum facet width option for converting analytic body to convergent body

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartModeling.OptimizeCurve
getset

Returns or sets the optimize curve flag

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.OptimizeCurveAngleToleranceFactor
getset

Returns or sets the optimize curve angle tolerance factor

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.OptimizeCurveDistanceToleranceFactor
getset

Returns or sets the optimize curve distance tolerance factor

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartModeling.OptimizeCurveToleranceFactor
getset

Returns or sets the optimize curve tolerance factor

Created in NX8.0.0

Deprecated in NX11.0.0. It was split into two factors. Please use PartModeling.OptimizeCurveDistanceToleranceFactor and PartModeling.OptimizeCurveAngleToleranceFactor instead.

License requirements to get this property: None.

License requirements to set this property: None.

Tag NXOpen.Preferences.PartModeling.Tag
get

Returns the tag of this object.

unsafe bool NXOpen.Preferences.PartModeling.TreatOneDegreeBsplineAsPolyline
getset

Returns or sets the option to treat degree one bspline as polyline

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.